<?
include_once("mysql.php");
include_once("inclydings/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
$_title = 'Lineage2';
include 'inclydings/header.php';
include_once("inclydings/ini.php");
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
include_once("inclydings/udata.php");

if($udata[9]<"40"){echo"Професии доступны только с 40 уровня."; include_once"inclydings/down.php"; exit;}

if($udata[27]!=="wizard"){
echo"Ошибка.";
include_once"inclydings/down.php"; exit;}
if($udata[33]!=="Orc Mage"){
echo"Ошибка.";
include_once"inclydings/down.php"; exit;}
$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);



if($data[4]=="Stemx2" && $data[3]>="10"){

echo"Молодец ты уже принес мне 10 Stemx2! Теперь тебе доступна новая магия, что бы изучить её иди в храм и подойди к магистру, он тебе все расскажет! Ты скажешь почему я не забираю у тебя Stemx2? А мне уже много принесли до тебя =) Иди продай его и купи себе новые вещи.";


$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[33]="Shaman";

$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$uzer.':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
include_once"inclydings/down.php"; exit;

}
}
if($udata[33]!=="Shaman"){

echo"Shaman - Путь Шамана выбирают Орки, не желающие полагаться лишь на силу оружия. Неустанно тренируясь, они обучаются разнообразным магическим умениям, позволяющим благословлять союзников и проклинать врагов. Чтобы доказать что ты достоин профессии Shaman ты должен мне принести 10 штук Stemx2. Их можно раздобыть в любых окрестностях убивая монстров.";}


}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
